/* region 头部 */
#common .navbar-container {
    width: 100%;
    height: 5%;
    min-height: 0.6rem;
    background: #2b2e30;
    border-bottom: 0.01rem solid #eee;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.04);
    font-size: 0.24rem;
}

#common .navbar-container .navbar-main {
    display: flex;
    align-items: center;
    width: 100%;
    height: 100%;
    margin: 0 auto;
    position: relative;
    justify-content: center; /* 中间内容居中 */
}

#common .navbar-container .navbar-main .navbar-menu {
    width: auto;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    gap: 5%;
    list-style: none;
    align-items: center;
    margin: 0;
    padding: 0;
}

#common .navbar-container  .navbar-main .navbar-menu .menu-item {
    display: flex;
    align-items: center;
}

#common .navbar-container  .navbar-main .navbar-menu .menu-item a {
    color: #bbc5ca;
    text-decoration: none;
    transition: color 0.2s;
    position: relative;
    white-space: nowrap; /* 防止换行 */
}

#common .navbar-container  .navbar-main .navbar-menu .menu-item.selected a,
#common .navbar-container  .navbar-main .navbar-menu .menu-item a:hover,
#common .navbar-container  .navbar-main .navbar-menu .menu-item a:focus {
    color: #589ead;
}

#common .navbar-container  .navbar-main .navbar-menu .menu-item.selected a::after,
#common .navbar-container  .navbar-main .navbar-menu .menu-item a:hover::after,
#common .navbar-container  .navbar-main .navbar-menu .menu-item a:focus::after {
    width: 100%;
    height: 7.5%;
}

#common .navbar-container  .navbar-main .navbar-menu .menu-item a::after {
    content: "";
    position: absolute;
    width: 0;
    bottom: 0;
    left: 0;
    background-color: #589ead;
    transition: width 0.3s;
    border-radius: 2px;
}

#common .navbar-container .navbar-main .navbar-user {
    flex: 0 0 auto;
    width: 30%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    /*gap: 20%;*/
    margin-left: auto;
    margin-right: 5%;
}


#common .navbar-container .navbar-main .navbar-user .fb-login,
#common .navbar-container .navbar-main .navbar-user .google-login,
#common .navbar-container .navbar-main .navbar-user .apple-login,
#common .navbar-container .navbar-main .navbar-user .email-login {
    height: 0.53rem;
    aspect-ratio: 53 / 53;
    width: auto;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 0.04rem;
    cursor: pointer;
    transition: transform 0.2s;
    box-sizing: border-box;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

#common .navbar-container .navbar-main .navbar-user .fb-login {
    background-image: url("../../images/btn-fb-login.png");
}
#common .navbar-container .navbar-main .navbar-user .google-login {
    background-image: url("../../images/btn-google-login.png");
    margin-left: 5%;
}
#common .navbar-container .navbar-main .navbar-user .apple-login {
    background-image: url("../../images/btn-apple-login.png");
    margin-left: 5%;
}

#common .navbar-container .navbar-main .navbar-user .email-login {
    background-image: url("../../images/btn-email-login.png");
    margin-left: 5%;
}

#common .navbar-container .navbar-main .navbar-user .fb-login:hover,
#common .navbar-container .navbar-main .navbar-user .google-login:hover,
#common .navbar-container .navbar-main .navbar-user .apple-login:hover,
#common .navbar-container .navbar-main .navbar-user .email-login:hover {
    transform: scale(1.08);
}

#common .navbar-container .navbar-main .navbar-user .fb-login:active,
#common .navbar-container .navbar-main .navbar-user .google-login:active,
#common .navbar-container .navbar-main .navbar-user .apple-login:active,
#common .navbar-container .navbar-main .navbar-user .email-login:active {
    transform: scale(0.95);
}

#common .navbar-container .navbar-main .navbar-user .user-info,
#common .navbar-container .navbar-main .navbar-user .user-logout {
    color: #bbc5ca;
    width: auto;
}
#common .navbar-container .navbar-main .navbar-user .user-logout {
    margin-left: 10%;
    cursor: pointer;
}
#common .navbar-container .navbar-main .navbar-user .user-logout:hover,
#common .navbar-container .navbar-main .navbar-user .user-logout:focus {
    color: #589ead;
}

@media (max-width: 768px) and (orientation: portrait)  {
    #common .navbar-container  .navbar-main .navbar-menu .menu-item a {
        white-space: normal;
    }
    #common .navbar-container .navbar-main .navbar-menu {
        /*display: none;*/
        font-size: 0.14rem;
        transform: translate(-0%, -50%);
        left: 0;
        flex: 0 0 50%;
    }
    #common .navbar-container .navbar-main .navbar-menu .menu-ticket {
        display: none;
    }
    #common .navbar-container .navbar-main .navbar-user {
        min-width: 0;
        /*width: 30%;*/
        margin-right: 0;
        flex: 0 0 35%;
    }
    #common .navbar-container .navbar-main .navbar-user .fb-login,
    #common .navbar-container .navbar-main .navbar-user .google-login,
    #common .navbar-container .navbar-main .navbar-user .apple-login,
    #common .navbar-container .navbar-main .navbar-user .email-login {
        flex: 0 0 20%;
    }
    #common .navbar-container .navbar-main .navbar-user .email-login {
        /*margin-left: 10%;*/
    }
    #common .navbar-container .navbar-main .navbar-user .user-info {
        font-size: 0.14rem;
        /*width: 100%;*/
        display: -webkit-box;
        -webkit-line-clamp: 1; /* 最多显示两行 */
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
        word-break: break-all;
        width: auto;
    }
    #common .navbar-container .navbar-main .navbar-user .user-logout {
        font-size: 0.14rem;
        width: 50%;
    }
}

@media (max-width: 1024px) and (orientation: landscape) {
    #common .navbar-container {
        height: 7vh;
        min-height: 7vh;
    }
    #common .navbar-container .navbar-main .navbar-menu {
        /*display: none;*/
        font-size: 0.16rem;
        transform: translate(-0%, -50%);
        left: 0;
        flex: 0 0 50%;
    }
    #common .navbar-container .navbar-main .navbar-user {
        min-width: 0;
        /*width: 30%;*/
        margin-right: 0;
        flex: 0 0 30%;
    }
    #common .navbar-container .navbar-main .navbar-user .fb-login,
    #common .navbar-container .navbar-main .navbar-user .google-login,
    #common .navbar-container .navbar-main .navbar-user .apple-login,
    #common .navbar-container .navbar-main .navbar-user .email-login {
        height: 7vh;
    }
    #common .navbar-container .navbar-main .navbar-user .fb-login,
    #common .navbar-container .navbar-main .navbar-user .google-login,
    #common .navbar-container .navbar-main .navbar-user .apple-login,
    #common .navbar-container .navbar-main .navbar-user .email-login {
        flex: 0 0 10%;
    }
    #common .navbar-container .navbar-main .navbar-user .email-login {
        /*margin-left: 10%;*/
    }
    #common .navbar-container .navbar-main .navbar-user .user-info {
        font-size: 0.16rem;
        /*width: 100%;*/
        display: -webkit-box;
        -webkit-line-clamp: 1; /* 最多显示两行 */
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
        word-break: break-all;
        width: auto;
    }
    #common .navbar-container .navbar-main .navbar-menu,
    #common .navbar-container .navbar-main .navbar-user .user-info,
    #common .navbar-container .navbar-main .navbar-user .user-logout {
        font-size: 0.08rem;
    }
    #common .navbar-container .navbar-main .navbar-user .user-logout {
        width: 20%;
    }
}

/* endregion 头部结束 */